MPI_Win_set_errhandler(3)

NAME
MPI_Win_set_errhandler - Attaches a new error handler to a window.

SYNTAX

C Syntax
#include <mpi.h>
int MPI_Win_set_errhandler(MPI_Win win, MPI_Errhandler errhandler)

Fortran Syntax
INCLUDE 'mpif.h'
MPI_WIN_SET_ERRHANDLER(WIN, ERRHANDLER, IERROR)
	INTEGER WIN, ERRHANDLER, IERROR

C++ Syntax
#include <mpi.h>
void MPI::Win::Set_errhandler(const MPI::Errhandler& errhandler)

INPUT/OUTPUT PARAMETER

win Window (handle).

INPUT PARAMETER

errhandler
    New error handler for window (handle).

OUTPUT PARAMETER

IERROR
    Fortran only: Error status (integer).

DESCRIPTION
MPI_Win_set_errhandler attaches a new error handler to a window. The error handler must be either a predefined error handler or an error handler created by a call to MPI_Win_create_errhandler.

ERRORS
Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.